> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Members

> 
Retrieve all users with access to the project and their roles. Use for access management or auditing.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/members
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/members:
    get:
      tags:
        - Configuration
      summary: List Project Members
      description: >-

        Retrieve all users with access to the project and their roles. Use for
        access management or auditing.


        `page_size` defaults to 30, maximum 100.
      operationId: get_list_members
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/MemberInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: MembersList
                type: object
          description: >-
            MembersList(data:
            List[server.api_routes.projects_api_v2.MemberInfo], pagination:
            server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    MemberInfo:
      properties:
        user_id:
          format: uuid
          title: User Id
          type: string
        project_role_name:
          $ref: '#/components/schemas/ProjectRoleName'
      required:
        - user_id
        - project_role_name
      title: MemberInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    ProjectRoleName:
      enum:
        - Project Admin
        - Project Editor
        - Project Analyst
      title: ProjectRoleName
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````